## sqlglot 6.2.8

=== debian/changelog ===
sqlglot (6.2.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.2.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 04 Oct 2022 11:37:18 +0200

sqlglot (6.2.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.2.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Sep 2022 07:07:34 +0200

sqlglot (6.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Sep 2022 09:53:39 +0200

sqlglot (6.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 23 Sep 2022 19:07:27 +0200

sqlglot (6.1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.1.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 22 Sep 2022 06:31:43 +0200

sqlglot (6.0.4-1) sid; urgency=medium

  * Initial upload to sid (Closes: #1019891),
    required for mycli.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 15 Sep 2022 18:48:01 +0200

## sqlglot 6.3.1

=== debian/changelog ===
sqlglot (6.3.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 6.3.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 10 Oct 2022 13:29:10 +0200

## sqlglot 7.1.3

=== requirements.txt ===
autoflake
black
duckdb
isort
pandas
python-dateutil

=== debian/changelog ===
sqlglot (7.1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 7.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2022 15:53:06 +0200

## sqlglot 9.0.3

=== debian/changelog ===
sqlglot (9.0.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 9.0.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2022 18:01:54 +0200

sqlglot (9.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 9.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 21 Oct 2022 11:29:37 +0200

## sqlglot 9.0.6

=== debian/changelog ===
sqlglot (9.0.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 9.0.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 05 Nov 2022 19:41:16 +0100

## sqlglot 10.0.1

=== debian/changelog ===
sqlglot (10.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 11 Nov 2022 09:54:39 +0100

## sqlglot 10.0.8

=== debian/changelog ===
sqlglot (10.0.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.0.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 19 Nov 2022 15:50:44 +0100

=== debian/control ===
Source: sqlglot
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/tobymao/sqlglot
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot

Package: python3-sqlglot
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SQL parser, transpiler, and optimizer for Python
 SQLGlot is a no dependency Python SQL parser, transpiler, and optimizer. It can
 be used to format SQL or translate between different dialects like DuckDB,
 Presto, Spark, and BigQuery. It aims to read a wide variety of SQL inputs and
 output syntactically correct SQL in the targeted dialects.

## sqlglot 10.1.3

=== debian/changelog ===
sqlglot (10.1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Dec 2022 10:16:36 +0100

## sqlglot 10.2.6

=== debian/changelog ===
sqlglot (10.2.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.2.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Dec 2022 16:42:43 +0100

## sqlglot 10.2.9

=== debian/changelog ===
sqlglot (10.2.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.2.9.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 22 Dec 2022 08:23:41 +0100

## sqlglot 10.4.2

=== debian/changelog ===
sqlglot (10.4.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.4.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 08:24:17 +0100

## sqlglot 10.5.2

=== debian/changelog ===
sqlglot (10.5.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.5.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Jan 2023 11:32:36 +0100

## sqlglot 10.5.6

=== Makefile ===
.PHONY: install install-dev install-pre-commit test style check docs docs-serve

install:
	pip install -e .

install-dev:
	pip install -e ".[dev]"

install-pre-commit:
	pre-commit install

test:
	python -m unittest

style:
	pre-commit run --all-files

check: style test

docs:
	pdoc/cli.py -o pdoc/docs

docs-serve:
	pdoc/cli.py

=== debian/changelog ===
sqlglot (10.5.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.5.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 09:43:06 +0100

## sqlglot 10.6.0

=== debian/changelog ===
sqlglot (10.6.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 03 Feb 2023 07:02:54 +0100

sqlglot (10.5.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 10.5.10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 18:08:42 +0100

## sqlglot 10.6.3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 check: style test
 
 docs:
-	pdoc/cli.py -o pdoc/docs
+	python pdoc/cli.py -o pdoc/docs
 
 docs-serve:
-	pdoc/cli.py
+	python pdoc/cli.py

=== debian/changelog ===
sqlglot (10.6.3-1) sid; urgency=high

  * Uploading to sid, using bumped urgency to get latest 10.6.x release
    into testing before the freeze.
  * Merging upstream version 10.6.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 08 Feb 2023 05:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tobymao/sqlglot
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sqlglot

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sqlglot-$1\.tar\.gz/ \
https://github.com/tobymao/sqlglot/tags .*/v?(\d\S+)\.tar\.gz

## sqlglot 15.2.0

=== debian/changelog ===
sqlglot (15.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 15.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:46:26 +0200

sqlglot (15.0.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 15.0.0.
  * Adapting to use pybuild-plugin-pyproject for new upstream versions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 03 Jun 2023 01:59:50 +0200

sqlglot (12.2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 12.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 10 May 2023 08:45:06 +0200

sqlglot (11.7.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.7.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 May 2023 11:12:31 +0200

sqlglot (11.5.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.5.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:35:10 +0200

sqlglot (11.4.5-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.4.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 09:31:59 +0200

sqlglot (11.4.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.4.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Mar 2023 11:22:19 +0100

sqlglot (11.3.6-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.3.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 12 Mar 2023 11:17:21 +0100

sqlglot (11.3.3-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.3.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 08 Mar 2023 08:22:21 +0100

sqlglot (11.3.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Mar 2023 19:09:36 +0100

sqlglot (11.2.3-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.2.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 27 Feb 2023 11:46:48 +0100

sqlglot (11.2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 20 Feb 2023 09:50:40 +0100

sqlglot (11.1.3-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Feb 2023 14:45:35 +0100

sqlglot (11.0.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 11.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 12 Feb 2023 11:06:34 +0100

## sqlglot 16.2.1

=== debian/changelog ===
sqlglot (16.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 16.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 16 Jun 2023 11:41:26 +0200

## sqlglot 16.4.0

=== debian/changelog ===
sqlglot (16.4.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 16.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 22 Jun 2023 20:53:37 +0200

## sqlglot 16.4.2

=== debian/changelog ===
sqlglot (16.4.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 16.4.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 20:47:01 +0200

## sqlglot 16.7.3

=== debian/changelog ===
sqlglot (16.7.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 16.7.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jun 2023 15:02:32 +0200

## sqlglot 16.7.7

=== debian/changelog ===
sqlglot (16.7.7-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 16.7.7.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Jun 2023 10:04:03 +0200

## sqlglot 17.2.0

=== debian/changelog ===
sqlglot (17.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 06 Jul 2023 09:28:22 +0200

## sqlglot 17.7.0

=== debian/changelog ===
sqlglot (17.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 24 Jul 2023 10:03:58 +0200

sqlglot (17.4.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.4.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 14 Jul 2023 07:43:12 +0200

sqlglot (17.3.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 10 Jul 2023 07:36:34 +0200

## sqlglot 17.11.0

=== debian/changelog ===
sqlglot (17.11.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.11.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 10 Aug 2023 11:23:55 +0200

sqlglot (17.9.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.9.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 06 Aug 2023 09:48:15 +0200

## sqlglot 17.12.0

=== debian/changelog ===
sqlglot (17.12.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 17.12.0.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1045821).
  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1045821).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 12:14:07 +0200

## sqlglot 18.13.0

=== debian/changelog ===
sqlglot (18.13.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.13.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Oct 2023 13:37:43 +0200

sqlglot (18.11.6-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.11.6.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 10 Oct 2023 10:53:18 +0200

sqlglot (18.11.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.11.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Oct 2023 14:16:39 +0200

sqlglot (18.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Sep 2023 10:20:18 +0200

sqlglot (18.5.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Sep 2023 11:22:31 +0200

sqlglot (18.4.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.4.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 13 Sep 2023 11:17:43 +0200

sqlglot (18.3.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 12 Sep 2023 10:29:00 +0200

sqlglot (18.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 07 Sep 2023 13:39:53 +0200

## sqlglot 18.17.0

=== Makefile ===
.PHONY: install install-dev install-pre-commit test unit style check docs docs-serve

install:
	pip install -e .

install-dev:
	pip install -e ".[dev]"

install-pre-commit:
	pre-commit install

test:
	python -m unittest

unit:
	SKIP_INTEGRATION=1 python -m unittest

style:
	pre-commit run --all-files

check: style test

docs:
	python pdoc/cli.py -o docs

docs-serve:
	python pdoc/cli.py --port 8002

=== debian/changelog ===
sqlglot (18.17.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 18.17.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Oct 2023 19:22:02 +0200

## sqlglot 19.0.1

=== debian/changelog ===
sqlglot (19.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 19.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2023 06:12:45 +0100

## sqlglot 20.1.0

=== debian/changelog ===
sqlglot (20.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20.1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Dec 2023 11:46:09 +0100

## sqlglot 20.3.0

=== debian/changelog ===
sqlglot (20.3.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Dec 2023 12:02:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,12 @@
 %:
 	dh ${@} --buildsystem=pybuild
 
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
+
+	# remove generated files
+	rm -f sqlglot/_version.py
+
 override_dh_auto_test:
 	# disabled

## sqlglot 20.4.0

=== debian/changelog ===
sqlglot (20.4.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Dec 2023 08:50:03 +0100

## sqlglot 21.1.2

=== debian/changelog ===
sqlglot (21.1.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 21.1.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Feb 2024 10:38:06 +0100

sqlglot (21.1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 21.1.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 16 Feb 2024 06:46:00 +0100

sqlglot (21.0.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 21.0.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Feb 2024 07:15:54 +0100

sqlglot (21.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 21.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 08 Feb 2024 06:38:51 +0100

sqlglot (20.11.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20.11.0.
  * Updating years in copyright for 2024.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 31 Jan 2024 06:45:09 +0100

sqlglot (20.9.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20.9.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 23 Jan 2024 06:06:24 +0100

## sqlglot 22.2.0

=== Makefile ===
.PHONY: install install-dev install-pre-commit test unit style check docs docs-serve

install:
	pip install -e .

install-dev-rs-release:
	cd sqlglotrs/ && python -m maturin develop -r

install-dev-rs:
	cd sqlglotrs/ && python -m maturin develop

install-dev-core:
	pip install -e ".[dev]"

install-dev: install-dev-core install-dev-rs

install-pre-commit:
	pre-commit install

test:
	SQLGLOTRS_TOKENIZER=0 python -m unittest

test-rs:
	RUST_BACKTRACE=1 python -m unittest

unit:
	SKIP_INTEGRATION=1 SQLGLOTRS_TOKENIZER=0 python -m unittest

unit-rs:
	SKIP_INTEGRATION=1 RUST_BACKTRACE=1 python -m unittest

style:
	pre-commit run --all-files

check: style test test-rs

docs:
	python pdoc/cli.py -o docs

docs-serve:
	python pdoc/cli.py --port 8002

=== debian/changelog ===
sqlglot (22.2.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 22.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Mar 2024 15:11:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+ python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/tobymao/sqlglot

## sqlglot 23.12.1

=== debian/changelog ===
sqlglot (23.12.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.12.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Apr 2024 04:50:34 +0200

sqlglot (23.10.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.10.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Apr 2024 07:02:29 +0200

sqlglot (23.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.7.0.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Apr 2024 10:12:04 +0200

## sqlglot 23.13.1

=== debian/changelog ===
sqlglot (23.13.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.13.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 May 2024 18:13:07 +0200

## sqlglot 23.13.7

=== debian/changelog ===
sqlglot (23.13.7-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.13.7.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 May 2024 13:14:38 +0200

## sqlglot 23.16.0

=== debian/changelog ===
sqlglot (23.16.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 23.16.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 18 May 2024 07:35:59 +0200

## sqlglot 24.1.0

=== debian/changelog ===
sqlglot (24.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 24.1.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Jun 2024 22:08:06 +0200

sqlglot (24.0.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 24.0.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 23 May 2024 09:22:37 +0200

## sqlglot 25.0.3

=== debian/changelog ===
sqlglot (25.0.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.0.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 11 Jun 2024 18:35:05 +0200

## sqlglot 25.1.0

=== debian/changelog ===
sqlglot (25.1.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.1.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 17 Jun 2024 11:15:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-setuptools-scm,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/tobymao/sqlglot
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot

## sqlglot 25.6.1

=== debian/changelog ===
sqlglot (25.6.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 23 Jul 2024 13:12:35 +0200

sqlglot (25.5.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Jul 2024 13:12:08 +0200

## sqlglot 25.8.1

=== debian/changelog ===
sqlglot (25.8.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.8.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 31 Jul 2024 09:55:44 +0200

sqlglot (25.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.7.1.
  * Updating homepage field.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 06:28:47 +0200

## sqlglot 25.16.1

=== debian/changelog ===
sqlglot (25.16.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.16.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Aug 2024 10:13:02 +0200

## sqlglot 25.18.0

=== debian/changelog ===
sqlglot (25.18.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.18.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Sep 2024 09:37:54 +0200

## sqlglot 25.20.1

=== debian/changelog ===
sqlglot (25.20.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.20.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 11 Sep 2024 14:13:42 +0200

## sqlglot 25.21.3

=== debian/changelog ===
sqlglot (25.21.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.21.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Sep 2024 18:50:40 +0200

## sqlglot 25.24.0

=== debian/changelog ===
sqlglot (25.24.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.24.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Sep 2024 06:54:55 +0200

## sqlglot 25.24.5

=== debian/changelog ===
sqlglot (25.24.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.24.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 09 Oct 2024 08:28:56 +0200

## sqlglot 25.26.0

=== debian/changelog ===
sqlglot (25.26.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.26.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Oct 2024 19:00:23 +0200

## sqlglot 25.29.0

=== debian/changelog ===
sqlglot (25.29.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.29.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 09:14:05 +0100

## sqlglot 25.30.0

=== debian/changelog ===
sqlglot (25.30.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.30.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 15 Nov 2024 07:50:58 +0100

## sqlglot 25.31.4

=== debian/changelog ===
sqlglot (25.31.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.31.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Nov 2024 08:52:20 +0100

## sqlglot 25.32.0

=== debian/changelog ===
sqlglot (25.32.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.32.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Nov 2024 08:23:22 +0100

## sqlglot 25.32.1

=== debian/changelog ===
sqlglot (25.32.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.32.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Nov 2024 09:52:08 +0100

## sqlglot 26.0.0

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	cd sqlglotrs/ && python -m maturin develop -r
 
 install-dev-rs:
+	@unset CONDA_PREFIX && \
 	cd sqlglotrs/ && python -m maturin develop
 
 install-dev-core:

=== debian/changelog ===
sqlglot (26.0.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.0.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Dec 2024 08:45:27 +0100

sqlglot (25.34.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 25.34.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 09 Dec 2024 05:36:05 +0100

## sqlglot 26.0.1

=== debian/changelog ===
sqlglot (26.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Dec 2024 20:51:15 +0100

## sqlglot 26.1.3

=== debian/changelog ===
sqlglot (26.1.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.1.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Jan 2025 11:04:16 +0100

## sqlglot 26.2.1

=== debian/changelog ===
sqlglot (26.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 18 Jan 2025 07:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Homepage: https://github.com/tobymao/sqlglot
+Homepage: https://sqlglot.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot

## sqlglot 26.3.9

=== debian/changelog ===
sqlglot (26.3.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.3.9.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Feb 2025 06:35:31 +0100

sqlglot (26.3.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 26.3.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 27 Jan 2025 17:31:29 +0100

## sqlglot 26.6.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 install:
 	pip install -e .
+
+bench: install-dev-rs-release
+	python benchmarks/bench.py
 
 install-dev-rs-release:
 	cd sqlglotrs/ && python -m maturin develop -r

=== debian/changelog ===
sqlglot (26.6.0-1) sid; urgency=medium

  * Merging upstream version 26.6.0.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating my email address.
  * Updating year in copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Feb 2025 22:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sqlglot
 Section: python
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -12,8 +12,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://sqlglot.com
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/sqlglot
+Vcs-Browser: https://forgejo.debian.net/dbcli/sqlglot
+Vcs-Git: https://forgejo.debian.net/dbcli/sqlglot
 
 Package: python3-sqlglot
 Section: python

## sqlglot 26.8.0

=== debian/changelog ===
sqlglot (26.8.0-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Merging upstream version 26.8.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 07:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-setuptools-scm,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://sqlglot.com
 Vcs-Browser: https://forgejo.debian.net/dbcli/sqlglot
 Vcs-Git: https://forgejo.debian.net/dbcli/sqlglot

## sqlglot 26.9.0

=== debian/changelog ===
sqlglot (26.9.0-1) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Merging upstream version 26.9.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 08:42:07 +0100

## sqlglot 26.10.1

=== debian/changelog ===
sqlglot (26.10.1-1) sid; urgency=medium

  * Merging upstream version 26.10.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:39:09 +0100

## sqlglot 26.11.1

=== debian/changelog ===
sqlglot (26.11.1-1) sid; urgency=medium

  * Merging upstream version 26.11.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Mar 2025 10:42:11 +0100

## sqlglot 26.12.0

=== debian/changelog ===
sqlglot (26.12.0-1) sid; urgency=medium

  * Merging upstream version 26.12.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2025 15:55:05 +0200

## sqlglot 26.12.1

=== debian/changelog ===
sqlglot (26.12.1-1) sid; urgency=medium

  * Merging upstream version 26.12.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Apr 2025 10:17:31 +0200

## sqlglot 26.16.2

=== debian/changelog ===
sqlglot (26.16.2-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 26.16.2.

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Apr 2025 07:27:14 +0200

sqlglot (26.15.0-1) sid; urgency=medium

  * Merging upstream version 26.15.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Apr 2025 09:50:38 +0200

sqlglot (26.14.0-1) sid; urgency=medium

  * Merging upstream version 26.14.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 09:04:52 +0200

## sqlglot 26.16.4

=== debian/changelog ===
sqlglot (26.16.4-1) sid; urgency=medium

  * Merging upstream version 26.16.4.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 May 2025 09:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-setuptools-scm,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://sqlglot.com
 Vcs-Browser: https://forgejo.debian.net/dbcli/sqlglot
 Vcs-Git: https://forgejo.debian.net/dbcli/sqlglot

=== debian/watch ===
version=4
https://github.com/tobymao/sqlglot/tags .*/v?(\d.*)@ARCHIVE_EXT@

## sqlglot 27.1.0

=== debian/changelog ===
sqlglot (27.1.0-1) experimental; urgency=medium

  * Merging upstream version 27.1.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jul 2025 07:34:45 +0200

sqlglot (27.0.0-1) experimental; urgency=medium

  * Merging upstream version 27.0.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Jul 2025 09:31:35 +0200

sqlglot (26.33.0-1) experimental; urgency=medium

  * Merging upstream version 26.33.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 09:02:16 +0200

sqlglot (26.32.0-1) experimental; urgency=medium

  * Updating homepage field.
  * Merging upstream version 26.32.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2025 06:30:53 +0200

sqlglot (26.30.0-1) experimental; urgency=medium

  * Merging upstream version 26.30.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 04:39:24 +0200

sqlglot (26.29.0-1) experimental; urgency=medium

  * Merging upstream version 26.29.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Jun 2025 07:53:50 +0200

sqlglot (26.28.1-1) experimental; urgency=medium

  * Merging upstream version 26.28.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jun 2025 10:36:11 +0200

sqlglot (26.26.0-1) experimental; urgency=medium

  * Merging upstream version 26.26.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Jun 2025 08:06:35 +0200

sqlglot (26.25.3-1) experimental; urgency=medium

  * Merging upstream version 26.25.3.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Jun 2025 04:46:36 +0200

sqlglot (26.24.0-1) experimental; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 26.24.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Jun 2025 05:53:59 +0200

sqlglot (26.22.1-1) experimental; urgency=medium

  * Merging upstream version 26.22.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 May 2025 07:21:17 +0200

sqlglot (26.19.0-2) experimental; urgency=medium

  * Updating vcs fields.
  * Harmonizing upload need in initial changelog entry.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 May 2025 20:42:39 +0200

sqlglot (26.19.0-1) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Merging upstream version 26.19.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 May 2025 07:15:37 +0200

sqlglot (26.17.1-1) experimental; urgency=medium

  * Merging upstream version 26.17.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 May 2025 06:51:16 +0200

## sqlglot 27.6.0

=== debian/changelog ===
sqlglot (27.6.0-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:33:43 +0200

sqlglot (27.6.0-1) experimental; urgency=medium

  * Merging upstream version 27.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:33:06 +0200

sqlglot (27.4.1-1) experimental; urgency=medium

  * Merging upstream version 27.4.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 05:16:26 +0200

## sqlglot 27.7.0

=== debian/changelog ===
sqlglot (27.7.0-1) sid; urgency=medium

  * Merging upstream version 27.7.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 16 Aug 2025 03:19:24 +0200

## sqlglot 27.8.0

=== debian/changelog ===
sqlglot (27.8.0-1) sid; urgency=medium

  * Merging upstream version 27.8.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 20 Aug 2025 15:23:16 +0200

## sqlglot 27.9.0

=== debian/changelog ===
sqlglot (27.9.0-1) sid; urgency=medium

  * Merging upstream version 27.9.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Aug 2025 12:37:13 +0200

## sqlglot 27.12.0

=== debian/changelog ===
sqlglot (27.12.0-1) sid; urgency=medium

  * Merging upstream version 27.12.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:11:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://sqlglot.com
-Vcs-Browser: https://forgejo.debian.net/dbcli/sqlglot
-Vcs-Git: https://forgejo.debian.net/dbcli/sqlglot
+Homepage: https://github.com/tobymao/sqlglot
+Vcs-Browser: https://forgejo.debian.net/python/sqlglot
+Vcs-Git: https://forgejo.debian.net/python/sqlglot
 
 Package: python3-sqlglot
 Section: python

## sqlglot 27.14.0

=== debian/changelog ===
sqlglot (27.14.0-1) sid; urgency=medium

  * Merging upstream version 27.14.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2025 04:15:49 +0200

## sqlglot 27.16.0

=== debian/changelog ===
sqlglot (27.16.0-1) sid; urgency=medium

  * Merging upstream version 27.16.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2025 14:40:21 +0200

## sqlglot 27.16.3

=== debian/changelog ===
sqlglot (27.16.3-1) sid; urgency=medium

  * Merging upstream version 27.16.3.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Sep 2025 05:36:32 +0200

## sqlglot 27.18.0

=== debian/changelog ===
sqlglot (27.18.0-1) sid; urgency=medium

  * Merging upstream version 27.18.0.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Sep 2025 13:05:18 +0200

## sqlglot 27.20.0

=== debian/changelog ===
sqlglot (27.20.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 27.20.0.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Sep 2025 18:37:30 +0200

## sqlglot 27.27.0

=== debian/changelog ===
sqlglot (27.27.0-1) sid; urgency=medium

  * Merging upstream version 27.27.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Oct 2025 20:14:59 +0200

## sqlglot 27.28.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,19 @@
 .PHONY: install install-dev install-pre-commit test unit style check docs docs-serve
 
+ifdef UV
+    PIP := uv pip
+else
+    PIP := pip
+endif
+
 install:
-	pip install -e .
+	$(PIP) install -e .
 
 bench: install-dev-rs-release
-	python benchmarks/bench.py
+	python -m benchmarks.bench
+
+bench-optimize: install-dev-rs-release
+	python -m benchmarks.optimize
 
 install-dev-rs-release:
 	cd sqlglotrs/ && python -m maturin develop -r
@@ -14,7 +23,7 @@
 	cd sqlglotrs/ && python -m maturin develop
 
 install-dev-core:
-	pip install -e ".[dev]"
+	$(PIP) install -e ".[dev]"
 
 install-dev: install-dev-core install-dev-rs

=== debian/changelog ===
sqlglot (27.28.1-1) sid; urgency=medium

  * Merging upstream version 27.28.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Oct 2025 06:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/tobymao/sqlglot
 Vcs-Browser: https://forgejo.debian.net/python/sqlglot

=== debian/watch ===
Version: 5

Template: Github
Owner: tobymao
Project: @PACKAGE@

## sqlglot 27.29.0

=== debian/changelog ===
sqlglot (27.29.0-1) sid; urgency=medium

  * Merging upstream version 27.29.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:31:46 +0100

## sqlglot 28.0.0

=== debian/changelog ===
sqlglot (28.0.0-2) sid; urgency=medium

  * Marking python3-sqlglot multi-arch foreign.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Dec 2025 09:32:41 +0100

sqlglot (28.0.0-1) sid; urgency=medium

  * Merging upstream version 28.0.0.

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Nov 2025 18:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: python3-sqlglot
 Section: python
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

## sqlglot 28.1.0

=== debian/changelog ===
sqlglot (28.1.0-1) sid; urgency=medium

  * Merging upstream version 28.1.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 07:30:39 +0100

## sqlglot 28.4.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: install install-dev install-pre-commit test unit style check docs docs-serve
+.PHONY: install install-dev install-pre-commit test test-fast test-fast-rs unit style check docs docs-serve
 
 ifdef UV
     PIP := uv pip
@@ -33,8 +33,14 @@
 test:
 	SQLGLOTRS_TOKENIZER=0 python -m unittest
 
+test-fast:
+	SQLGLOTRS_TOKENIZER=0 python -m unittest --failfast
+
 test-rs:
 	RUST_BACKTRACE=1 python -m unittest
+
+test-fast-rs:
+	RUST_BACKTRACE=1 python -m unittest --failfast
 
 unit:
 	SKIP_INTEGRATION=1 SQLGLOTRS_TOKENIZER=0 python -m unittest

=== debian/changelog ===
sqlglot (28.4.1-1) sid; urgency=medium

  * Merging upstream version 28.4.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Dec 2025 08:01:59 +0100

## sqlglot 28.5.0

=== debian/changelog ===
sqlglot (28.5.0-1) sid; urgency=medium

  * Merging upstream version 28.5.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Dec 2025 07:00:35 +0100

## sqlglot 28.6.0

=== debian/changelog ===
sqlglot (28.6.0-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Harmonizing initial changelog entry.
  * Merging upstream version 28.6.0.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Thu, 15 Jan 2026 10:55:28 +0100

## sqlglot 28.7.0

=== debian/changelog ===
sqlglot (28.7.0-1) sid; urgency=medium

  * Merging upstream version 28.7.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 Jan 2026 19:44:29 +0100

## sqlglot 28.10.0

=== debian/changelog ===
sqlglot (28.10.0-1) sid; urgency=medium

  * Merging upstream version 28.10.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Feb 2026 18:58:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tobymao/sqlglot
 Vcs-Browser: https://forgejo.debian.net/python/sqlglot
 Vcs-Git: https://forgejo.debian.net/python/sqlglot

## sqlglot 28.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: install install-dev install-pre-commit test test-fast test-fast-rs unit style check docs docs-serve
+.PHONY: install install-dev install-pre-commit bench bench-parse bench-optimize test test-fast test-fast-rs unit style check docs docs-serve
 
 ifdef UV
     PIP := uv pip
@@ -9,11 +9,7 @@
 install:
 	$(PIP) install -e .
 
-bench: install-dev-rs-release
-	python -m benchmarks.bench
-
-bench-optimize: install-dev-rs-release
-	python -m benchmarks.optimize
+install-dev: install-dev-core install-dev-rs
 
 install-dev-rs-release:
 	cd sqlglotrs/ && python -m maturin develop -r
@@ -25,10 +21,16 @@
 install-dev-core:
 	$(PIP) install -e ".[dev]"
 
-install-dev: install-dev-core install-dev-rs
-
 install-pre-commit:
 	pre-commit install
+
+bench: bench-parse bench-optimize
+
+bench-parse: install-dev-rs-release
+	python -m benchmarks.parse
+
+bench-optimize: install-dev-rs-release
+	python -m benchmarks.optimize
 
 test:
 	SQLGLOTRS_TOKENIZER=0 python -m unittest

=== debian/changelog ===
sqlglot (28.10.1-1) sid; urgency=medium

  * Harmonizing watch file.
  * Merging upstream version 28.10.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Feb 2026 18:33:20 +0100

## sqlglot 29.0.1

=== Makefile ===
.PHONY: install install-dev install-devc install-pre-commit bench bench-parse bench-optimize test test-fast unit testc unitc style check docs docs-serve hidec showc clean

ifdef UV
    PIP := uv pip
else
    PIP := pip
endif

SO_BACKUP := /tmp/sqlglot_so_backup

hidec:
	mkdir -p $(SO_BACKUP) && mv -f sqlglot/*.so $(SO_BACKUP)/ 2>/dev/null; true

showc:
	mv -f $(SO_BACKUP)/*.so sqlglot/ 2>/dev/null; true

clean:
	rm -rf sqlglot/*.so sqlglotc/build sqlglotc/dist sqlglotc/*.egg-info sqlglotc/sqlglot

install:
	$(PIP) install -e .

install-dev:
	$(PIP) install -e ".[dev]"

install-devc: clean
	cd sqlglotc && pip install -e .

install-pre-commit:
	pre-commit install

bench: bench-parse bench-optimize

bench-parse:
	python -m benchmarks.parse

bench-optimize:
	python -m benchmarks.optimize

test: hidec
	trap '$(MAKE) showc' EXIT; python -m unittest

test-fast:
	python -m unittest --failfast

unit: hidec
	trap '$(MAKE) showc' EXIT; SKIP_INTEGRATION=1 python -m unittest

testc: install-devc
	python -m unittest

unitc: install-devc
	SKIP_INTEGRATION=1 python -m unittest

style:
	pre-commit run --all-files

check: style test testc

docs:
	python pdoc/cli.py -o docs

docs-serve:
	python pdoc/cli.py --port 8002

=== debian/changelog ===
sqlglot (29.0.1-1) sid; urgency=medium

  * Merging upstream version 29.0.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 16:52:38 +0100

=== debian/watch ===
Version: 5

Template: github
Owner: tobymao
Project: sqlglot
